Skip to content

Remove Application-Side Role Member

Permissions

The identity management API is authorized by application. Before calling the API, you need to set API permissions for different applications. For details, see API Permissions.

Permission CodeDescription
app_role_allRead/Write permission for application-side role APIs
allRead/Write permission for all APIs

Request

Request Headers

Parameter NameNameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example

json
{
    "role_id": "20220420144449385-C66D-E8C1D1D79",
    "account_Ids": [
        "20220414163425614-2FD6-CA9B208BE"
    ]
}

Request Parameters

Parameter NameNameRequiredTypeDescription
app_idApplication IDYesStringTarget application ID
role_idApplication-side role IDYesStringTarget role ID
account_IdsApplication account ID collectionYesListMax size 50

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "success_list": [
        "20220414163425614-2FD6-CA9B208BE"
    ],
    "fail_list": []
}

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": " APP.ROLE.0002",
    "error_msg": "The application-side role does not exist"
}

Response Parameters

Parameter NameNameTypeDescription
success_listSuccess listListApplication account ID collection
fail_listFailure listListApplication account ID collection

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400APP.ROLE.0002应用侧角色不存在The application side role does not existPlease check whether the application-side role has been deleted
400APP.OBJECTMODEL.0006未开启应用角色模型The application role model is not openedPlease check whether the application role model is enabled
400APP.0001应用不存在App does not existPlease check whether the application has been deleted

BambooCloud IDaaS Open Platform